Bug 1283482 - [GSS] (6.4.z) Log manager's module naming does does not support slots
[GSS] (6.4.z) Log manager's module naming does does not support slots
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging (Show other bugs)
6.4.0
Unspecified Unspecified
low Severity unspecified
: CR1
: EAP 6.4.10
Assigned To: John Allen
Nikoleta Ziakova
:
Depends On:
Blocks: 1278806 eap6410-payload 1349223
  Show dependency treegraph
 
Reported: 2015-11-19 01:04 EST by James Livingston
Modified: 2017-01-17 08:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker LOGMGR-127 Major Resolved Module naming does does not support slots 2018-01-09 05:42 EST
Red Hat Knowledge Base (Solution) 2099711 None None None 2016-08-18 00:08 EDT

  None (edit)
Description James Livingston 2015-11-19 01:04:58 EST
The log manager's AbstractPropertyConfiguration$ModuleFinder uses ModuleIdentifier.create() rather than fromString(), which means it does not support specifying the slot via "module:slot" and can only use the main slot.
Comment 2 James Livingston 2015-11-19 17:29:25 EST
A work-around for this is to create a module-alias with some name and the slot 'main'.

If you want to use example.loghandler:10, you could define example.loghandler.10:main as an alias to the former - module paths can be prefixes of others and you can use numeric segments, since they are just opaque identifiers.


The upstream PR was merged, and will be in 1.5.6.
Comment 3 James Perkins 2015-11-19 17:30:37 EST
I had no real plans for a 1.5.6 any time soon, but if we need this soon I can release a new version whenever.
Comment 7 Jiří Bílek 2016-08-09 07:37:14 EDT
Verified with EAP 6.4.10.CP.CR1
Comment 8 Petr Penicka 2017-01-17 08:02:57 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.
Comment 9 Petr Penicka 2017-01-17 08:03:10 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.